from django import template


register = template.Library()


@register.filter()
def get_herited(activity, attrname):
    return activity.get_herited(attrname)

@register.inclusion_tag("event/tags/enrol_btn.html")
def enrol_btn(activity, user):
    return {
        "enrolled": activity.staff.filter(id=user.id).exists(),
        "activity": activity,
    }

@register.simple_tag
def is_enrolled(activity, user):
    user_is_enrolled = activity.staff.filter(id=user.id).exists()
    return "1" if user_is_enrolled else "0"
