from django.conf.urls import url
from event.views import Index, EventView, EventViewStaff, ActivityView, EnrolActivityView, EventCalendar

app_name = 'event'
urlpatterns = [
        # url(r'^$', Index.as_view(), name='index'),
        url(r'^(?P<slug>[-\w]+)/$', EventView.as_view(), name='event'),
        url(r'^(?P<slug>[-\w]+)/s/(?P<username>[-\w]+)/$', EventViewStaff.as_view(), name='event-staff'),
        url(r'^(?P<slug>[-\w]+)/calendar/$', EventCalendar.as_view(), name='calendar'),
        url(r'^activity/(?P<pk>[0-9]+)/$', ActivityView.as_view(),
            name='activity'),
        url(r'^activity/(?P<pk>[0-9]+)/enrol/$',
            EnrolActivityView.as_view(), name="enrol_activity"),
]
